# HG changeset patch
# User Snehaa Giridharan <snehaa@multicorewareinc.com>
# Date 1581569807 -19800
#      Thu Feb 13 10:26:47 2020 +0530
# Branch Release_3.3
# Node ID b5cbd797565b3fffcb28aedf01afd84aac04b362
# Parent  e386d3a8a7136df2705df65834795e19be96c2aa
zone: Enable strict VBV conformance for zone encode as per requirement

diff --git a/source/encoder/ratecontrol.cpp b/source/encoder/ratecontrol.cpp
--- a/source/encoder/ratecontrol.cpp
+++ b/source/encoder/ratecontrol.cpp
@@ -781,6 +781,8 @@
     // Init HRD
     HRDInfo* hrd = &sps.vuiParameters.hrdParameters;
     hrd->cbrFlag = m_isCbr;
+    if (m_param->reconfigWindowSize)
+        hrd->cbrFlag = 0;
 
     // normalize HRD size and rate to the value / scale notation
     hrd->bitRateScale = x265_clip3(0, 15, calcScale(vbvMaxBitrate) - BR_SHIFT);
@@ -1279,6 +1281,7 @@
                 m_param->rc.vbvMaxBitrate = m_param->rc.zones[i].zoneParam->rc.vbvMaxBitrate;
                 memcpy(m_relativeComplexity, m_param->rc.zones[i].relativeComplexity, sizeof(double) * m_param->reconfigWindowSize);
                 reconfigureRC();
+                m_isCbr = 1; /* Always vbvmaxrate == bitrate here*/
                 m_top->zoneReadCount[i].incr();
             }
         }
